package com.bonus.canteen.core.customer.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@ApiModel("位置信息表list返回VO")
public class CustPlaceListVO {
   @TableId
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("位置id")
   private Long placeId;
   @ApiModelProperty("位置编号")
   private String placeNum;
   @ApiModelProperty("位置名称")
   private String placeName;
   @ApiModelProperty("位置级别")
   private Integer placeLevel;
   @ApiModelProperty("上级位置id")
   private Long superId;
   @ApiModelProperty("位置全称")
   private String placeFullName;
   @ApiModelProperty("位置图片路径")
   private String placeUrl;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口id")
   private Long shopstallId;
   @ApiModelProperty("特殊菜谱id")
   private Long specialRecipeId;
   @ApiModelProperty("特殊菜谱名称")
   private String specialRecipeName;
   @ApiModelProperty("通用菜谱id")
   private Long commonRecipeId;
   @ApiModelProperty("通用菜谱名称")
   private String commonRecipeName;
   @ApiModelProperty("菜谱名称")
   private String recipeName;
   @ApiModelProperty("适用人员类别")
   private Integer psnType;
   @ApiModelProperty("备注")
   private String remarks;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("是否是最后一级 1 是 2 否")
   private Integer ifLast;
   @ApiModelProperty("是否生成二维码 1 是 2 否")
   private Integer ifCreateQRcode;
   @ApiModelProperty("食堂名称")
   private String diningName;
   @ApiModelProperty("档口名称")
   private String stname;
   @ApiModelProperty("绑定人员ID")
   private Long custId;
   @ApiModelProperty("是否删除 1 是 2 否")
   private Integer ifDel;
   @ApiModelProperty("订餐员")
   private MgrUserDetailVO mgrUser;
   @ApiModelProperty("订餐员id")
   private Long userId;
   @ApiModelProperty("父级id集合")
   private String superIds;
   @ApiModelProperty("是否有子级，1：有；0：没有")
   private boolean hasChildren;
   @ApiModelProperty("是否公用码 1 是 2 否")
   private Integer publicCode;
   @ApiModelProperty("排序号")
   private String sort;

   public String getPlaceUrl() {
      return SysUtil.getCutFileUrl(this.placeUrl);
   }

   public int getHasChildren() {
      return this.hasChildren ? 1 : 0;
   }

   public Long getId() {
      return this.id;
   }

   public Long getPlaceId() {
      return this.placeId;
   }

   public String getPlaceNum() {
      return this.placeNum;
   }

   public String getPlaceName() {
      return this.placeName;
   }

   public Integer getPlaceLevel() {
      return this.placeLevel;
   }

   public Long getSuperId() {
      return this.superId;
   }

   public String getPlaceFullName() {
      return this.placeFullName;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public Long getSpecialRecipeId() {
      return this.specialRecipeId;
   }

   public String getSpecialRecipeName() {
      return this.specialRecipeName;
   }

   public Long getCommonRecipeId() {
      return this.commonRecipeId;
   }

   public String getCommonRecipeName() {
      return this.commonRecipeName;
   }

   public String getRecipeName() {
      return this.recipeName;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public String getRemarks() {
      return this.remarks;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public Integer getIfLast() {
      return this.ifLast;
   }

   public Integer getIfCreateQRcode() {
      return this.ifCreateQRcode;
   }

   public String getDiningName() {
      return this.diningName;
   }

   public String getStname() {
      return this.stname;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Integer getIfDel() {
      return this.ifDel;
   }

   public MgrUserDetailVO getMgrUser() {
      return this.mgrUser;
   }

   public Long getUserId() {
      return this.userId;
   }

   public String getSuperIds() {
      return this.superIds;
   }

   public Integer getPublicCode() {
      return this.publicCode;
   }

   public String getSort() {
      return this.sort;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setPlaceId(final Long placeId) {
      this.placeId = placeId;
   }

   public void setPlaceNum(final String placeNum) {
      this.placeNum = placeNum;
   }

   public void setPlaceName(final String placeName) {
      this.placeName = placeName;
   }

   public void setPlaceLevel(final Integer placeLevel) {
      this.placeLevel = placeLevel;
   }

   public void setSuperId(final Long superId) {
      this.superId = superId;
   }

   public void setPlaceFullName(final String placeFullName) {
      this.placeFullName = placeFullName;
   }

   public void setPlaceUrl(final String placeUrl) {
      this.placeUrl = placeUrl;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setSpecialRecipeId(final Long specialRecipeId) {
      this.specialRecipeId = specialRecipeId;
   }

   public void setSpecialRecipeName(final String specialRecipeName) {
      this.specialRecipeName = specialRecipeName;
   }

   public void setCommonRecipeId(final Long commonRecipeId) {
      this.commonRecipeId = commonRecipeId;
   }

   public void setCommonRecipeName(final String commonRecipeName) {
      this.commonRecipeName = commonRecipeName;
   }

   public void setRecipeName(final String recipeName) {
      this.recipeName = recipeName;
   }

   public void setPsnType(final Integer psnType) {
      this.psnType = psnType;
   }

   public void setRemarks(final String remarks) {
      this.remarks = remarks;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setIfLast(final Integer ifLast) {
      this.ifLast = ifLast;
   }

   public void setIfCreateQRcode(final Integer ifCreateQRcode) {
      this.ifCreateQRcode = ifCreateQRcode;
   }

   public void setDiningName(final String diningName) {
      this.diningName = diningName;
   }

   public void setStname(final String stname) {
      this.stname = stname;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setIfDel(final Integer ifDel) {
      this.ifDel = ifDel;
   }

   public void setMgrUser(final MgrUserDetailVO mgrUser) {
      this.mgrUser = mgrUser;
   }

   public void setUserId(final Long userId) {
      this.userId = userId;
   }

   public void setSuperIds(final String superIds) {
      this.superIds = superIds;
   }

   public void setHasChildren(final boolean hasChildren) {
      this.hasChildren = hasChildren;
   }

   public void setPublicCode(final Integer publicCode) {
      this.publicCode = publicCode;
   }

   public void setSort(final String sort) {
      this.sort = sort;
   }

}
